<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc.field Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jdbc.field Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.jdbc.field</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/DefaultObjectConverter.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">DefaultObjectConverter</span></a></li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBCachedClob.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBCachedClob</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Clob.html?is-external=true" title="class or interface in java.sql">Clob</a>, java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/NClob.html?is-external=true" title="class or interface in java.sql">NClob</a>)</li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBField</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBLongVarCharField.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBLongVarCharField</span></a> (implements org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBFlushableField.html" title="interface in org.firebirdsql.jdbc.field">FBFlushableField</a>)</li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBWorkaroundStringField</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBFlushableField.CachedObject.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBFlushableField.CachedObject</span></a></li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/JDBC42ObjectConverter.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">JDBC42ObjectConverter</span></a></li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">JdbcTypeConverter</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">SQLException</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../../org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBSQLException</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">TypeConversionException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBFlushableField.html" title="interface in org.firebirdsql.jdbc.field"><span class="typeNameLink">FBFlushableField</span></a></li>
<li type="circle">org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FieldDataProvider.html" title="interface in org.firebirdsql.jdbc.field"><span class="typeNameLink">FieldDataProvider</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
